Bug 1260386 - "docker restart" works on stopped containers as well, unlike what man page claims
"docker restart" works on stopped containers as well, unlike what man page cl...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
22
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Sally
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-06 06:44 EDT by Robert P. J. Day
Modified: 2016-02-16 12:20 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 12:20:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2015-09-06 06:44:03 EDT
"man docker-restart" reads:

  NAME
         docker-restart - Restart a running container

but "restart" appears to work equally well on stopped containers as well, so the man page seems incorrect.

  Also, while you're there, might as well tidy up the indentation:

       --help
         Print usage statement

       -t, --time=10
          Number of seconds to try ...
          ^ Indentation seems off here.
Comment 1 Sally 2015-09-09 06:59:31 EDT
https://github.com/docker/docker/pull/16174

The indentation diff has no effect on the rendering so I left as/is, after way too much consideration :)
Comment 2 Sally 2015-09-21 16:17:57 EDT
https://github.com/docker/docker/pull/16174 merged
also fixed 5 other files from "restart a running container" to "restart a container"
Comment 3 Daniel Walsh 2015-09-22 14:09:55 EDT
fixed in docker-1.9

Note You need to log in before you can comment on or make changes to this bug.